## org.metaabm.gen.test
Class ComplexMovementAgent

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.Agent
              org.ascape.model.LocatedAgent
                  org.ascape.model.Cell
                      org.ascape.model.CellOccupant
                          org.metaabm.gen.test.ComplexMovementAgent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Location, Node, HasName, RandomFunctions

    public class ComplexMovementAgent

extends CellOccupant

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.CellOccupant
`PLAY_HOST_RULE, RANDOM_WALK_AVAILABLE_RULE`

Fields inherited from class org.ascape.model.Cell
`CALCULATE_NEIGHBORS_RULE, neighbors, PLAY_NEIGHBORS_RULE, PLAY_RANDOM_NEIGHBOR_RULE`

Fields inherited from class org.ascape.model.LocatedAgent
`agentSize, coordinate, MOVE_RANDOM_LOCATION_RULE, RANDOM_WALK_RULE, thisUpdate`

Fields inherited from class org.ascape.model.Agent
`DEATH_RULE, FISSIONING_RULE, FORCE_DIE_RULE, FORCE_FISSION_RULE, FORCE_MOVE_RULE, INITIALIZE_RULE, ITERATE_AND_UPDATE_RULE, ITERATE_RULE, METABOLISM_RULE, MOVEMENT_RULE, PLAY_OTHER, UPDATE_RULE`

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`ComplexMovementAgent()` Constructs a new Complex Movement Agent.

Method Summary
`java.lang.Object` `clone()` Clones the agent, ensuring that a unique id is assigned.
`void` `createUniqueID()`
`void` `dummy()`
`java.awt.Color` `getColor()` This agent's default color, used by many simple views.
`java.lang.String` `getName()` A name this object may be referred to by.
`java.util.List` `getNetwork()` Returns some network of related cells.
`int` `getResult()` Gets the Result property for Complex Movement Agent.
`SpatialModel` `getSpatialModel()`
`SpatialStateEnum` `getSpatialState()` Gets the Spatial State property for Complex Movement Agent.
`java.lang.String` `getUID()`
`int` `getVision()` Gets the Vision property for Complex Movement Agent.
`double[]` `getWithinSpace()` Gets the Within Space property for Complex Movement Agent.
`boolean` `isSomeBoolean()` Gets the Some Boolean property for Complex Movement Agent.
`void` `setResult(int _result)` Sets the Result property for Complex Movement Agent.
`void` `setSomeBoolean(boolean _someBoolean)` Sets the Some Boolean property for Complex Movement Agent.
`void` `setSpatialState(SpatialStateEnum _spatialState)` Sets the Spatial State property for Complex Movement Agent.
`void` `setVision(int _vision)` Sets the Vision property for Complex Movement Agent.
`void` `setWithinSpace(double[] _withinSpace)` Sets the Within Space property for Complex Movement Agent.
`void` `testConnectRandomOther()` .
`void` `testDieAll()` .
`void` `testHostHere()` .
`void` `testHostHereCondition()` .
`void` `testNegateSpatialThenIdentity()` .
`void` `testNegateSpatialWithIdentity()` .
`void` `testNestedStatements()` .
`void` `testParallelRoot()` .
`void` `testParallelSpatial()` .
`void` `testParallelWithNetwork()` .
`void` `testSetRandomOther()` .
`void` `testSetRandomOtherIf()` .
`void` `testSetRandomPostQuery()` .
`boolean` `withinBoundaries(double[] bounds)` .

Methods inherited from class org.ascape.model.CellOccupant

`die, findAvailableNeighbors, findNearest, findNearest, findNearest, findNearest, findNearest, findNeighbors, findNeighborsOnHost, findRandomAvailableNeighbor, findRandomNeighbor, findRandomNeighborOnHost, findWithin, findWithin, findWithin, getCoordinate, getHostCell, getHostScape, leave, moveAway, moveTo, moveToRandomLocation, moveToward, playNeighbors, playRandomNeighbor, randomWalk, randomWalkAvailable, setHostCell, setHostScape`

Methods inherited from class org.ascape.model.Cell
`calculateNeighbors, countNeighbors, findOccupants, findRelative, getDistance, getNeighbors, getNeighbors, getOccupant, hostedCondition, initialize, isAvailable, removeOccupant, setNeighbors, setNeighborsList, setNetwork, setOccupant, toString`

Methods inherited from class org.ascape.model.LocatedAgent
`calculateDistance, calculateDistance, countWithin, countWithin, countWithin, findMaximumWithin, findWithin, getAgentSize, hasWithin, hasWithin, hasWithin, isUpdateNeeded, moveAway, moveAway, moveTo, moveToward, moveToward, requestUpdate, requestUpdateNext, setAgentSize, setCoordinate`

Methods inherited from class org.ascape.model.Agent
`clearDeleteMarker, death, deathCondition, execute, execute, fission, fissionCondition, fissioning, getColor, getImage, getImage, getIteration, getPlatformColor, getRoot, isDelete, isInitialized, iterate, markForDeletion, metabolism, move, movement, movementCondition, play, scapeCreated, setInitialized, setScape, update`

Methods inherited from class org.ascape.model.AscapeObject
`diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getRandom, getRandomSeed, getScape, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, isDelete, markForDeletion, setCoordinate`

Constructor Detail

### ComplexMovementAgent

    public ComplexMovementAgent()

  Constructs a new Complex Movement Agent.

Method Detail

### getUID

    public java.lang.String getUID()

### createUniqueID

    public void createUniqueID()

### clone

    public java.lang.Object clone()

  Clones the agent, ensuring that a unique id is assigned.

  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `CellOccupant`
  Returns:
    the object

### dummy

    public void dummy()

### getSpatialModel

    public SpatialModel getSpatialModel()

### getNetwork

    public java.util.List getNetwork()

  Description copied from class: `Cell`
  Returns some network of related cells. The network itself is implementation specific.

  Overrides:
    `getNetwork` in class `Cell`

### getColor

    public java.awt.Color getColor()

  Description copied from class: `Agent`
  This agent's default color, used by many simple views. Black is default; override to provide an appropriate color.

  Overrides:
    `getColor` in class `Agent`

### testDieAll

    public void testDieAll()

  .

### testNegateSpatialThenIdentity

    public void testNegateSpatialThenIdentity()

  .

### testNegateSpatialWithIdentity

    public void testNegateSpatialWithIdentity()

  .

### testHostHere

    public void testHostHere()

  .

### testConnectRandomOther

    public void testConnectRandomOther()

  .

### testSetRandomOther

    public void testSetRandomOther()

  .

### testSetRandomOtherIf

    public void testSetRandomOtherIf()

  .

### testSetRandomPostQuery

    public void testSetRandomPostQuery()

  .

### testParallelSpatial

    public void testParallelSpatial()

  .

### testParallelRoot

    public void testParallelRoot()

  .

### testParallelWithNetwork

    public void testParallelWithNetwork()

  .

### testNestedStatements

    public void testNestedStatements()

  .

### testHostHereCondition

    public void testHostHereCondition()

  .

### withinBoundaries

    public boolean withinBoundaries(double[] bounds)

  .

### isSomeBoolean

    public boolean isSomeBoolean()

  Gets the Some Boolean property for Complex Movement Agent.

  Returns:

### setSomeBoolean

    public void setSomeBoolean(boolean _someBoolean)

  Sets the Some Boolean property for Complex Movement Agent.

  Parameters:
    `_someBoolean` - the new Some Boolean value

### getWithinSpace

    public double[] getWithinSpace()

  Gets the Within Space property for Complex Movement Agent.

  Returns:

### setWithinSpace

    public void setWithinSpace(double[] _withinSpace)

  Sets the Within Space property for Complex Movement Agent.

  Parameters:
    `_withinSpace` - the new Within Space value

### getResult

    public int getResult()

  Gets the Result property for Complex Movement Agent.

  Returns:

### setResult

    public void setResult(int _result)

  Sets the Result property for Complex Movement Agent.

  Parameters:
    `_result` - the new Result value

### getSpatialState

    public SpatialStateEnum getSpatialState()

  Gets the Spatial State property for Complex Movement Agent.

  Returns:

### setSpatialState

    public void setSpatialState(SpatialStateEnum _spatialState)

  Sets the Spatial State property for Complex Movement Agent.

  Parameters:
    `_spatialState` - the new Spatial State value

### getVision

    public int getVision()

  Gets the Vision property for Complex Movement Agent.

  Returns:

### setVision

    public void setVision(int _vision)

  Sets the Vision property for Complex Movement Agent.

  Parameters:
    `_vision` - the new Vision value

### getName

    public java.lang.String getName()

  Description copied from class: `AscapeObject`
  A name this object may be referred to by.

  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `AscapeObject`